// -*- Mode: C++; tab-width: 4 -*-

#include <stdio.h>
#include <stdlib.h>

#include "Python.h"

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

extern "C" {
  int Py_Main (int, char **);
}

void
load_python_frozen_library (char * name)
{
  if (!LoadLibrary(name)) {
    char msg[128];
	sprintf (msg, "couldn't load library '%s'", name);
    MessageBox (0, msg, "Error Loading Library", MB_OK|MB_ICONEXCLAMATION);
	exit(0);
  }
}

#undef main
int
main (int argc, char **argv)
{
  // pick one of the following two sections:
  //
  // PFL-based python
  // load_python_frozen_library ("lib.pfl");
  //
  // BOX-based python
  load_python_frozen_library ("pycbox.pfl");
  PyImport_ImportFrozenModule ("pycbox");
  //
  //
  return Py_Main(argc, argv);
}
